;Data for System Hacker-put in external string

#include "syshack.inc"

.org Str_Decomp_Addr

Top_Bar_Str: .db " SysHacker 1.7",0		;String for top bar
Bot_Bar_Str: .db " hex                edit                asm                   sys           help ",0		;String for bottom bar
Addr_Prompt_Str: .db "Address:",0
Abs_Prompt_Str: .db "Abs addr:",0
RAM_Page_Prompt_Str: .db "RAM Page:",0
ROM_Page_Prompt_Str: .db "ROM Page:",0
RAM_Str: .db "RAM:",0
ROM_Str: .db "ROM:",0
Value_Prompt_Str: .db "New value:",0
ROM_Edit_Str: .db "Can't edit the ROM,",0
.db "you moron!!! :-)",0
Help_Str: .db "System Hacker 1.7 by Donald Straney",0
.db "e-mail: straney",$40,"umbi.umd.edu",0
.db "F1-F4 switch mode, Exit quits program",0
Char_Control_Str: .db $cf,$20,$05,0
Port_Control_Str: .db $cf,$20,$20,$05,0
Undel_Buf_Str: .db "Undelete buffer:",0
Getkey_Str: .db "_getkey codes (Press ON to exit)",0
Getky_Str: .db "_getky codes (Press ON to exit)",0
BASkey_Str: .db "BASIC key codes (Press ON to exit)",0
Var_Prompt_Str: .db "Name:",0
Search_Prompt_Str: .db "Search for:",0
Searching_Str: .db "Searching...",0
Vars_Deleted_Str: .db "Stat lists, RegEq,",0
.db "eqn, x, y, Ans",0
.db "deleted, entries",0
.db "cleared",0
In_Str: .db "In:",0
Port_Prompt_Str: .db "Value to send:",0
Link_Error_Str: .db "Link error!",0
Not_Found_Error_Str: .db "Not found!",0
Value_Error_Str: .db "Invalid value!",0
;Del_Str: .db "    ",0
Space_Str: .db "                                            ",0
Screen_Str: .db "Screen offset",0
Keypad_Str: .db "Keypad                   ",0
Contrast_Str: .db "Contrast                              ",0
LCD_Str: .db "On key, LCD power ",0
Power_Str: .db "Power mode                    ",0
Page_1_Str: .db "$4000-$7fff page",0
Page_2_Str: .db "$8000-$bfff page",0
Link_Str: .db "Link port                               ",0
;Real_Var_Str: .db "Real       ",0
;Cplx_Var_Str: .db "Cplx       ",0
;RealVector_Var_Str: .db "Vect       ",0
;CplxVector_Var_Str: .db "cVect   ",0
;RealList_Var_Str: .db "List          ",0
;CplxList_Var_Str: .db "cList      ",0
;RealMatrix_Var_Str: .db "Mtrx     ",0
;CplxMatrix_Var_Str: .db "cMtrx ",0
;RealConst_Var_Str: .db "Const    ",0
;CplxConst_Var_Str: .db "cConst",0
;Equ_Var_Str: .db "Equ          ",0
;Unknown_Var_Str: .db "?                  ",0
;String_Var_Str: .db "Str           ",0
;GDB_Var_Str: .db "GDB         ",0
;Pic_Var_Str: .db "Pic            ",0
;Prog_Var_Str: .db "Prgm    ",0
;Conv_Var_Str: .db "Conv      ",0

Hex_Help_Text:
.db 5
.db "MEMORY VIEWER MODE",0
.db "Arrows move 1 page/byte",0
.db "+, - move up/down 5 pages",0
.db "*, / move up/down 10 pages",0
.db "More opens options menu",0
Edit_Help_Text:
.db 5
.db 0
.db "MEMORY EDITOR MODE",0
.db "Arrows move cursor",0
.db "2nd edits byte underneath cursor",0
.db "More opens options menu",0
Asm_Help_Text:
.db 5
.db 0
.db "DISASSEMBLER MODE",0
.db "Up, Down move page",0
.db "Right, Left move by 1 byte",0
.db "More opens options menu",0
Port_Help_Text:
.db 4
.db 0
.db "PORT MANAGER MODE",0
.db "Right, Left select port",0
.db "2nd sends value to port",0
Char_Help_Text:
.db 5
.db 0
.db "CHARACTER VIEWER MODE",0
.db "Right, Left select character",0
.db "2nd copies current char to undel buf",0
.db "Clear clears undelete buffer",0
Link_Help_Text:
.db 5
.db 0
.db "LINK PORT COM MODE",0
.db "Letter, num keys send char",0
.db "Alpha toggles alpha lock",0
.db "2nd toggles hex/char mode",0
VAT_Help_Text:
.db 3
.db 0
.db "VAT VIEWER MODE",0
.db "Up, down move page",0
Stack_Help_Text:
.db 3
.db 0
.db "HARDWARE STACK",0
.db "No keys",0

Credits_Text_Len	equ	8
Credits_Text:
.db "Much thanks to Dan Eble, Kirk Meyer,",0
.db "Dan Eglender, ACZ, Cassady Roop,",0
.db "Alan Bailey, Jeremy Goetsch,",0
.db "John Kempen, Pascal Bouron,",0
.db "Jimmy Mardell, Joe Clussman,",0
.db "Chris Williams, Rusty Wagner,",0
.db "and Jonah Cohen",0
.db "I couldn't have done it without them!",0

;Tables
Key_Handler_Addr_Table:			;Holds addresses of key handlers for different states
.dw Menu_Key_Handler
.dw Help_Key_Handler
.dw Hex_Key_Handler
.dw Edit_Key_Handler
.dw Asm_Key_Handler
.dw Port_Key_Handler
.dw Char_Key_Handler
.dw Link_Key_Handler
.dw VAT_Key_Handler
.dw Stack_Key_Handler
.dw Getkey_Key_Handler
.dw Getky_Key_Handler
.dw BASkey_Key_Handler

;Init_Table:						;Holds addresses of init routines for different states
;.dw 0
;.dw 0
;.dw Hex_Init
;.dw Edit_Init_2
;.dw Asm_Init_2
;.dw Sys_Ports
;.dw Sys_Chars
;.dw Sys_Link
;.dw Sys_VAT_2

Help_Text_Table:				;Holds addresses of help text blocks
.dw 0
.dw 0
.dw Hex_Help_Text
.dw Edit_Help_Text
.dw Asm_Help_Text
.dw Port_Help_Text
.dw Char_Help_Text
.dw Link_Help_Text
.dw VAT_Help_Text
.dw Stack_Help_Text

Port_Label_Table:				;Holds addresses of port label strings
.dw Space_Str				;$ff
.dw Screen_Str
.dw Keypad_Str
.dw Contrast_Str
.dw LCD_Str
.dw Power_Str
.dw Page_1_Str
.dw Page_2_Str
.dw Link_Str
.dw Space_Str				;$08

;Var_Type_Table:					;Holds addresses of strings for var types
;.dw Real_Var_Str
;.dw Cplx_Var_Str
;.dw RealVector_Var_Str
;.dw CplxVector_Var_Str
;.dw RealList_Var_Str
;.dw CplxList_Var_Str
;.dw RealMatrix_Var_Str
;.dw CplxMatrix_Var_Str
;.dw RealConst_Var_Str
;.dw CplxConst_Var_Str
;.dw Equ_Var_Str
;.dw Unknown_Var_Str
;.dw String_Var_Str
;.dw GDB_Var_Str
;.dw GDB_Var_Str
;.dw GDB_Var_Str
;.dw GDB_Var_Str
;.dw Pic_Var_Str
;.dw Prog_Var_Str
;.dw Conv_Var_Str

Key_Table:						;Holds char codes for _getky codes
.db LplusSign,Lx
.db Ldash,Lt
.db Lasterisk,Lo
.db Lslash,Lj
.db $5e,Le
.db Lexclam,Lexclam
.db 0,0
.db Lunderscore,Lspace
.db L3,Lw
.db L6,Ls
.db L9,Ln
.db LrParen,Li
.db 0,Ld
.db Lquestion,Lquestion
.db 0,0
.db Lperiod,Lz
.db L2,Lv
.db L5,Lr
.db L8,Lm
.db LlParen,Lh
.db 0,Lc
.db Lquote,Lquote
.db 0,0
.db L0,Ly
.db L1,Lu
.db L4,Lq
.db L7,Ll
.db Lexponent,Lg
.db 0,Lb
.db LatSign,LatSign
.db 0,0
.db 0,0
.db Lstore,LEQ
.db Lcomma,Lp
.db Lroot,Lk
.db 0,Lf
.db 0,La
.db Lpi,Lpi

;Menus
Option_Menu_Num	equ	6
Option_Menu_Text:
.db " 1. Go to address",0
.db " 2. Go to abs addr",0
.db " 3. Go to var",0
.db " 4. Go to RAM page",0
.db " 5. Go to ROM page",0
.db " 6. Search",0
Option_Menu_Table:
.dw Option_Addr
.dw Option_Abs
.dw Option_Var
.dw Option_RAM
.dw Option_ROM
.dw Option_Search

Sys_Menu_Num	equ	8
Sys_Menu_Text:
.db " 1. System flags",0	;16 offsets
.db " 2. Ports",0
.db " 3. Character map",0
.db " 4. Link port com",0
.db " 5. Clean memory",0
.db " 6. VAT viewer",0
.db " 7. Hardware stack",0
.db " 8. More",0
Sys_Menu_Table:
.dw Sys_Flags
.dw Sys_Ports
.dw Sys_Chars
.dw Sys_Link
.dw Sys_Clean
.dw Sys_VAT
.dw Sys_Stack
.dw Sys_2_Init

Sys_2_Menu_Num	equ	4
Sys_2_Menu_Text:
.db " 1. _getkey codes",0
.db " 2. _getky codes",0
.db " 3. BASIC keycodes",0
.db " 4. More",0
Sys_2_Menu_Table:
.dw Sys_Getkey
.dw Sys_Getky
.dw Sys_BASkey
.dw Sys_Init

Flags_1_Menu_Num	equ	8
Flags_1_Menu_Text:
.db " 1. APD",0
.db " 2. Save large text",0
.db " 3. Lock cursor",0
.db " 4. Don't save graph screen to buffer",0
.db " 5. User large font",0
.db " 6. User small font",0
.db " 7. User on routine",0
.db " 8. More",0
Flags_1_Menu_Table:
.dw Flags_1_1
.dw Flags_1_2
.dw Flags_1_3
.dw Flags_1_4
.dw Flags_1_5
.dw Flags_1_6
.dw Flags_1_7
.dw Sys_Flags_2

Flags_2_Menu_Num	equ	8
Flags_2_Menu_Text:
.db " 1. User off routine",0
.db " 2. User interrupt routine",0
.db " 3. User link routine",0
.db " 4. Use ",$10,"Parse",0
.db " 5. Use ",$10,"Form",0
.db " 6. Use ",$10,"Exec",0
.db " 7. Use ",$10,"Expr",0
.db " 8. More",0
Flags_2_Menu_Table:
.dw Flags_2_1
.dw Flags_2_2
.dw Flags_2_3
.dw Flags_2_4
.dw Flags_2_5
.dw Flags_2_6
.dw Flags_2_7
.dw Sys_Flags_3

Flags_3_Menu_Num	equ	5
Flags_3_Menu_Text:
.db " 1. Use ",$10,"Home",0
.db " 2. Use ",$10,"CmdTok",0
.db " 3. Use ",$10,"Key",0
.db " 4. Use ",$10,"Grf",0
.db " 5. More",0
Flags_3_Menu_Table:
.dw Flags_3_1
.dw Flags_3_2
.dw Flags_3_3
.dw Flags_3_4
.dw Sys_Flags_1

.end